SciQLOP - Task #1376

Epic story # 1164 (In Progress): Récupération des données (serveurs de données)

User story # 1372 (In Progress): Récupération des données (serveurs de données) - API Definition
Acquisition de données (API générale)
12/05/2017 03:24 PM - Anonymous

Status: New Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: legacy Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

Une API abstraite d'acquisition de données est implémentées par toutes les sources de données et permet de :
e acquérir une donnée sur une plage temporelle quelconque
Un contrdleur d'acquisition de données permet de :
e demander au contréleur de cache si une plage de données est déja au moins partiellement connue
¢ modifier la plage de données requétée pour demander a I'API| abstraite d'acquisition uniqguement les données absentes du
cache
Un contréleur de cache permet de :
e regarder si une plage de données requétée est déja dans le cache

¢ stocker des nouvelles plages d'acquisition de données dans le cache
e supprimer des plages d'acquisition de données du cache

Related issues:

Copied from Task #1274: Acquisition de données (API générale) New
Copied to Task #1480: Acquisition de données (API générale) Closed
History

#1 - 12/05/2017 03:24 PM - Anonymous
- Copied from Task #1274: Acquisition de données (API générale) added

#2 - 12/05/2017 04:16 PM - Anonymous

- Assignee set to Anonymous

#3 - 31/05/2017 03:00 PM - Anonymous
- Copied to Task #1480: Acquisition de données (APl générale) added

#4 - 08/06/2017 08:37 PM - adminlpp adminlpp
- Tracker changed from User story to Task

- % Done set to 0

- revision set to r0

- blocked set to No

#5 - 14/02/2019 10:16 AM - Nicolas Aunai
- Category set to legacy
